C RETURN THE TRUE LENGTH OF A CHARACTER STRING (EXCLUDING TRAILING BLANKS).

	INTEGER*4 FUNCTION NTBLEN (STRING)

	CHARACTER STRING*(*)
	INTEGER*4 I

	I = LEN(STRING)				!GET TOTAL STRING LENGTH

	DO NTBLEN = I, 1, -1			!SEARCH FOR FIRST NON-BLANK CHAR

	  IF (STRING(NTBLEN:NTBLEN) .NE. ' ') RETURN

	  END DO

	END
